<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>fibo_beta.from_HVM</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="fibo_beta-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

      <th class="navbar" width="100%"></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="fibo_beta-module.html">Module&nbsp;fibo_beta</a> ::
        Class&nbsp;from_HVM
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="fibo_beta.from_HVM-class.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class from_HVM</h1><p class="nomargin-top"><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM">source&nbsp;code</a></span></p>
<pre class="base-tree">
object --+
         |
        <strong class="uidshort">from_HVM</strong>
</pre>

<hr />
<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">address</span>)</span><br />
      Creates the object to retrieve data from Hybrid-Vlasov-Maxwell codes</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="help"></a><span class="summary-sig-name">help</span>(<span class="summary-sig-arg">self</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.help">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#get_meta" class="summary-sig-name">get_meta</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">extra_address</span>=<span class="summary-sig-default">''</span>,
        <span class="summary-sig-arg">silent</span>=<span class="summary-sig-default">True</span>)</span><br />
      Fills the metadata list</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_meta">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_meta_A"></a><span class="summary-sig-name">get_meta_A</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">extra_address</span>=<span class="summary-sig-default">''</span>)</span><br />
      Extra routine, version A</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_meta_A">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_meta_B"></a><span class="summary-sig-name">get_meta_B</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">extra_address</span>=<span class="summary-sig-default">''</span>)</span><br />
      Extra routine, version B</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_meta_B">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_meta_C"></a><span class="summary-sig-name">get_meta_C</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">extra_address</span>=<span class="summary-sig-default">''</span>)</span><br />
      Extra routine, version C</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_meta_C">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#get_EB" class="summary-sig-name">get_EB</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">seg</span>,
        <span class="summary-sig-arg">exit_num</span>,
        <span class="summary-sig-arg">fibo_obj</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">silent</span>=<span class="summary-sig-default">True</span>)</span><br />
      Gets the E,B fields at the nth exit of specified data segment</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_EB">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#get_Ion" class="summary-sig-name">get_Ion</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">seg</span>,
        <span class="summary-sig-arg">exit_num</span>,
        <span class="summary-sig-arg">fibo_obj</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">silent</span>=<span class="summary-sig-default">True</span>)</span><br />
      Gets the ni and ui fields at the nth exit of specified data segment</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_Ion">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#get_Press" class="summary-sig-name">get_Press</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">seg</span>,
        <span class="summary-sig-arg">exit_num</span>,
        <span class="summary-sig-arg">fibo_obj</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">silent</span>=<span class="summary-sig-default">True</span>)</span><br />
      Gets the Pi tensor field at the nth exit of specified data segment</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_Press">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#get_Q" class="summary-sig-name">get_Q</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">seg</span>,
        <span class="summary-sig-arg">exit_num</span>,
        <span class="summary-sig-arg">fibo_obj</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">silent</span>=<span class="summary-sig-default">True</span>)</span><br />
      Gets the Qi_per,Qi_par fields OR sQi field at the nth exit of the 
      data segment</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_Q">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#get_Te" class="summary-sig-name">get_Te</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">seg</span>,
        <span class="summary-sig-arg">exit_num</span>,
        <span class="summary-sig-arg">fibo_obj</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">silent</span>=<span class="summary-sig-default">True</span>)</span><br />
      Gets the Te_per,Te_par fields at the nth exit of the data segment</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_Te">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#get_Qe" class="summary-sig-name">get_Qe</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">seg</span>,
        <span class="summary-sig-arg">exit_num</span>,
        <span class="summary-sig-arg">fibo_obj</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">silent</span>=<span class="summary-sig-default">True</span>)</span><br />
      Gets the qe_per,qe_par fields at the nth exit of the data segment</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_Qe">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#get_seg_EB" class="summary-sig-name">get_seg_EB</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">seg</span>,
        <span class="summary-sig-arg">fibo_obj</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">silent</span>=<span class="summary-sig-default">True</span>)</span><br />
      Gets the E,B fields in the specified data segment</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_seg_EB">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#get_seg_Ion" class="summary-sig-name">get_seg_Ion</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">seg</span>,
        <span class="summary-sig-arg">fibo_obj</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">silent</span>=<span class="summary-sig-default">True</span>)</span><br />
      Gets the ni,ui fields in the specified data segment</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_seg_Ion">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#get_seg_Press" class="summary-sig-name">get_seg_Press</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">seg</span>,
        <span class="summary-sig-arg">fibo_obj</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">silent</span>=<span class="summary-sig-default">True</span>)</span><br />
      Gets the Pi tensor field in the specified data segment</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_seg_Press">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#get_seg_Q" class="summary-sig-name">get_seg_Q</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">seg</span>,
        <span class="summary-sig-arg">fibo_obj</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">silent</span>=<span class="summary-sig-default">True</span>)</span><br />
      Gets the Qi_par,Qi_per fields OR the sQi vector in the specified data
      segment</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_seg_Q">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#get_seg_Te" class="summary-sig-name">get_seg_Te</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">seg</span>,
        <span class="summary-sig-arg">fibo_obj</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">silent</span>=<span class="summary-sig-default">True</span>)</span><br />
      Gets the Te_per,Te_par fields in the specified data segment</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_seg_Te">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#get_seg_Qe" class="summary-sig-name">get_seg_Qe</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">seg</span>,
        <span class="summary-sig-arg">fibo_obj</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">silent</span>=<span class="summary-sig-default">True</span>)</span><br />
      Gets the qe_per,qe_par fields at the nth exit of the data segment</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_seg_Qe">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#calc_all" class="summary-sig-name">calc_all</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">time_exit</span>,
        <span class="summary-sig-arg">fibo_obj</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">list_terms</span>=<span class="summary-sig-default">['mom_1','mom_2','mom_3']</span>,
        <span class="summary-sig-arg">silent</span>=<span class="summary-sig-default">True</span>)</span><br />
      Calcs all from E,B,ni,ui,Pi,sQi OR Qi_par,Qi_per 
      ((Te_par,Te_per,qe_par,qe_per))</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.calc_all">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#clean_old_vars" class="summary-sig-name">clean_old_vars</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">time_exit</span>,
        <span class="summary-sig-arg">fibo_obj</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">silent</span>=<span class="summary-sig-default">True</span>)</span><br />
      Deletes sQi,sQe,sQ ((Te_par, Te_per, qe_par, qe_per))</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.clean_old_vars">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="fibo_beta.from_HVM-class.html#clean_new_vars" class="summary-sig-name">clean_new_vars</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">time_exit</span>,
        <span class="summary-sig-arg">fibo_obj</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">silent</span>=<span class="summary-sig-default">True</span>)</span><br />
      Deletes ue,Pe,Qe,sQe, u,P,Q,sQ, enE,enB, Ki,Ke,K,Ui,Ue,U</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.clean_new_vars">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__delattr__</code>,
      <code>__format__</code>,
      <code>__getattribute__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__repr__</code>,
      <code>__setattr__</code>,
      <code>__sizeof__</code>,
      <code>__str__</code>,
      <code>__subclasshook__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Properties</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Properties"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">address</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Creates the object to retrieve data from Hybrid-Vlasov-Maxwell 
  codes</p>
  <p>Parameters :</p>
  <ul>
    <li>
      address      [address] where your data are (folder with segs inside)
    </li>
  </ul>
  <dl class="fields">
    <dt>Overrides:
        object.__init__
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="get_meta"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_meta</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">extra_address</span>=<span class="sig-default">''</span>,
        <span class="sig-arg">silent</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_meta">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Fills the metadata list</p>
  <p>Parameters :</p>
  <ul>
    <li>
      extra_address = ''     [address] to reach any subfolder where your 
      meta-data are
    </li>
    <li>
      silent = True          [bool] don't you want to see all infos printed
      on shell?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_EB"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_EB</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">seg</span>,
        <span class="sig-arg">exit_num</span>,
        <span class="sig-arg">fibo_obj</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">silent</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_EB">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Gets the E,B fields at the nth exit of specified data segment</p>
  <p>Parameters :</p>
  <ul>
    <li>
      seg                    [str] segment name
    </li>
    <li>
      exit_num               [int] number of time exit (0,1,...)
    </li>
    <li>
      fibo_obj = None        [None OR fibo_obj] fibo to fill - if None, 
      returns values
    </li>
    <li>
      silent = True          [bool] don't you want to see all infos printed
      on shell?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_Ion"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_Ion</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">seg</span>,
        <span class="sig-arg">exit_num</span>,
        <span class="sig-arg">fibo_obj</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">silent</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_Ion">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Gets the ni and ui fields at the nth exit of specified data 
  segment</p>
  <p>Parameters :</p>
  <ul>
    <li>
      seg                    [str] segment name
    </li>
    <li>
      exit_num               [int] number of time exit (0,1,...)
    </li>
    <li>
      fibo_obj = None        [None OR fibo_obj] fibo to fill - if None, 
      returns values
    </li>
    <li>
      silent = True          [bool] don't you want to see all infos printed
      on shell?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_Press"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_Press</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">seg</span>,
        <span class="sig-arg">exit_num</span>,
        <span class="sig-arg">fibo_obj</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">silent</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_Press">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Gets the Pi tensor field at the nth exit of specified data segment</p>
  <p>Parameters :</p>
  <ul>
    <li>
      seg                    [str] segment name
    </li>
    <li>
      exit_num               [int] number of time exit (0,1,...)
    </li>
    <li>
      fibo_obj = None        [None OR fibo_obj] fibo to fill - if None, 
      returns values
    </li>
    <li>
      silent = True          [bool] don't you want to see all infos printed
      on shell?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_Q"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_Q</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">seg</span>,
        <span class="sig-arg">exit_num</span>,
        <span class="sig-arg">fibo_obj</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">silent</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_Q">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Gets the Qi_per,Qi_par fields OR sQi field at the nth exit of the data
  segment</p>
  <p>Parameters :</p>
  <ul>
    <li>
      seg                    [str] segment name
    </li>
    <li>
      exit_num               [int] number of time exit (0,1,...)
    </li>
    <li>
      fibo_obj = None        [None OR fibo_obj] fibo to fill - if None, 
      returns values
    </li>
    <li>
      silent = True          [bool] don't you want to see all infos printed
      on shell?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_Te"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_Te</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">seg</span>,
        <span class="sig-arg">exit_num</span>,
        <span class="sig-arg">fibo_obj</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">silent</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_Te">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Gets the Te_per,Te_par fields at the nth exit of the data segment</p>
  <p>Parameters :</p>
  <ul>
    <li>
      seg                    [str] segment name
    </li>
    <li>
      exit_num               [int] number of time exit (0,1,...)
    </li>
    <li>
      fibo_obj = None        [None OR fibo_obj] fibo to fill - if None, 
      returns values
    </li>
    <li>
      silent = True          [bool] don't you want to see all infos printed
      on shell?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_Qe"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_Qe</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">seg</span>,
        <span class="sig-arg">exit_num</span>,
        <span class="sig-arg">fibo_obj</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">silent</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_Qe">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Gets the qe_per,qe_par fields at the nth exit of the data segment</p>
  <p>Parameters :</p>
  <ul>
    <li>
      seg                    [str] segment name
    </li>
    <li>
      exit_num               [int] number of time exit (0,1,...)
    </li>
    <li>
      fibo_obj = None        [None OR fibo_obj] fibo to fill - if None, 
      returns values
    </li>
    <li>
      silent = True          [bool] don't you want to see all infos printed
      on shell?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_seg_EB"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_seg_EB</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">seg</span>,
        <span class="sig-arg">fibo_obj</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">silent</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_seg_EB">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Gets the E,B fields in the specified data segment</p>
  <p>Parameters :</p>
  <ul>
    <li>
      seg                    [str] segment name
    </li>
    <li>
      fibo_obj = None        [None OR fibo_obj] fibo to fill - if None, 
      returns values
    </li>
    <li>
      silent = True          [bool] don't you want to see all infos printed
      on shell?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_seg_Ion"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_seg_Ion</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">seg</span>,
        <span class="sig-arg">fibo_obj</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">silent</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_seg_Ion">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Gets the ni,ui fields in the specified data segment</p>
  <p>Parameters :</p>
  <ul>
    <li>
      seg                    [str] segment name
    </li>
    <li>
      fibo_obj = None        [None OR fibo_obj] fibo to fill - if None, 
      returns values
    </li>
    <li>
      silent = True          [bool] don't you want to see all infos printed
      on shell?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_seg_Press"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_seg_Press</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">seg</span>,
        <span class="sig-arg">fibo_obj</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">silent</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_seg_Press">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Gets the Pi tensor field in the specified data segment</p>
  <p>Parameters :</p>
  <ul>
    <li>
      seg                    [str] segment name
    </li>
    <li>
      fibo_obj = None        [None OR fibo_obj] fibo to fill - if None, 
      returns values
    </li>
    <li>
      silent = True          [bool] don't you want to see all infos printed
      on shell?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_seg_Q"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_seg_Q</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">seg</span>,
        <span class="sig-arg">fibo_obj</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">silent</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_seg_Q">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Gets the Qi_par,Qi_per fields OR the sQi vector in the specified data 
  segment</p>
  <p>Parameters :</p>
  <ul>
    <li>
      seg                    [str] segment name
    </li>
    <li>
      fibo_obj = None        [None OR fibo_obj] fibo to fill - if None, 
      returns values
    </li>
    <li>
      silent = True          [bool] don't you want to see all infos printed
      on shell?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_seg_Te"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_seg_Te</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">seg</span>,
        <span class="sig-arg">fibo_obj</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">silent</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_seg_Te">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Gets the Te_per,Te_par fields in the specified data segment</p>
  <p>Parameters :</p>
  <ul>
    <li>
      seg                    [str] segment name
    </li>
    <li>
      fibo_obj = None        [None OR fibo_obj] fibo to fill - if None, 
      returns values
    </li>
    <li>
      silent = True          [bool] don't you want to see all infos printed
      on shell?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_seg_Qe"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_seg_Qe</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">seg</span>,
        <span class="sig-arg">fibo_obj</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">silent</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.get_seg_Qe">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Gets the qe_per,qe_par fields at the nth exit of the data segment</p>
  <p>Parameters :</p>
  <ul>
    <li>
      seg                    [str] segment name
    </li>
    <li>
      fibo_obj = None        [None OR fibo_obj] fibo to fill - if None, 
      returns values
    </li>
    <li>
      silent = True          [bool] don't you want to see all infos printed
      on shell?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="calc_all"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">calc_all</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">time_exit</span>,
        <span class="sig-arg">fibo_obj</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">list_terms</span>=<span class="sig-default">['mom_1','mom_2','mom_3']</span>,
        <span class="sig-arg">silent</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.calc_all">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Calcs all from E,B,ni,ui,Pi,sQi OR Qi_par,Qi_per 
  ((Te_par,Te_per,qe_par,qe_per))</p>
  <p>Parameters :</p>
  <ul>
    <li>
      time_exit              [str] time exit (usually format '0000.000')
    </li>
    <li>
      fibo_obj = None        [fibo_obj] fibo to fill - if None, you will be
      insulted
    </li>
    <li>
      list_terms = ['mom_1','mom_2','mom_3'] choose how much you want ...
    </li>
    <li>
      silent = True          [bool] don't you want to see all infos printed
      on shell?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="clean_old_vars"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">clean_old_vars</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">time_exit</span>,
        <span class="sig-arg">fibo_obj</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">silent</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.clean_old_vars">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Deletes sQi,sQe,sQ ((Te_par, Te_per, qe_par, qe_per))</p>
  <p>Parameters :</p>
  <ul>
    <li>
      time_exit              [str] time exit (usually format '0000.000')
    </li>
    <li>
      fibo_obj = None        [fibo_obj] fibo to fill - if None, you will be
      insulted
    </li>
    <li>
      silent = True          [bool] don't you want to see all infos printed
      on shell?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="clean_new_vars"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">clean_new_vars</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">time_exit</span>,
        <span class="sig-arg">fibo_obj</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">silent</span>=<span class="sig-default">True</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="fibo_beta-pysrc.html#from_HVM.clean_new_vars">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Deletes ue,Pe,Qe,sQe, u,P,Q,sQ, enE,enB, Ki,Ke,K,Ui,Ue,U</p>
  <p>Parameters :</p>
  <ul>
    <li>
      time_exit              [str] time exit (usually format '0000.000')
    </li>
    <li>
      fibo_obj = None        [fibo_obj] fibo to fill - if None, you will be
      insulted
    </li>
    <li>
      silent = True          [bool] don't you want to see all infos printed
      on shell?
    </li>
  </ul>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="fibo_beta-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

      <th class="navbar" width="100%"></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Wed Nov 20 22:51:43 2019
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
